Index: build/tags
*** nvi-1.79/build/tags	Wed Oct 23 22:53:13 1996
--- nvi-1.79-m17n/build/tags	Wed Aug 20 14:47:25 1997
***************
*** 1,277 ****
! ABSMARK1	../common/mark.h	/^#define	ABSMARK1	'\\''		\/* Absolute mark name. */
! ABSMARK2	../common/mark.h	/^#define	ABSMARK2	'`'		\/* Absolute mark name. *\/$/
! ADDITIONAL_CHARACTERS	../common/key.c	/^#define	ADDITIONAL_CHARACTERS	4$/
! ADD_SPACE_GOTO	../common/mem.h	/^#define	ADD_SPACE_GOTO(sp, bp, blen, nlen) {				\\/
  ADD_SPACE_RET	../common/mem.h	/^#define	ADD_SPACE_RET(sp, bp, blen, nlen) {				\\$/
- AGV_ALL	../ex/ex.h	/^#define	AGV_ALL		(AGV_AT | AGV_AT_NORANGE | AGV_GL/
- AGV_AT	../ex/ex.h	/^#define	AGV_AT		0x01		\/* @ buffer execution. *\/$/
- AGV_AT_NORANGE	../ex/ex.h	/^#define	AGV_AT_NORANGE	0x02		\/* @ buffer executio/
- AGV_GLOBAL	../ex/ex.h	/^#define	AGV_GLOBAL	0x04		\/* global command. *\/$/
- AGV_V	../ex/ex.h	/^#define	AGV_V		0x08		\/* v command. *\/$/
- ARG	../ex/ex_display.c	/^#define	ARG	"buffers"$/
- ARSIZE	../common/msg.c	/^#define	ARSIZE(a)	sizeof(a) \/ sizeof (*a)$/
- A_ALLOCATED	../common/args.h	/^#define	A_ALLOCATED	0x01	\/* If allocated space. */
  BINC_GOTO	../common/mem.h	/^#define	BINC_GOTO(sp, lp, llen, nlen) {					\\$/
  BINC_RET	../common/mem.h	/^#define	BINC_RET(sp, lp, llen, nlen) {					\\$/
- BITS	../common/key.c	/^#define	BITS	(sizeof(CHAR_T) * 8)$/
  BUILD	../ex/ex_subst.c	/^#define	BUILD(sp, l, len) {						\\$/
  CALLOC	../common/mem.h	/^#define	CALLOC(sp, p, cast, nmemb, size) {				\\$/
  CALLOC_GOTO	../common/mem.h	/^#define	CALLOC_GOTO(sp, p, cast, nmemb, size) {			/
  CALLOC_NOMSG	../common/mem.h	/^#define	CALLOC_NOMSG(sp, p, cast, nmemb, size) {		/
  CALLOC_RET	../common/mem.h	/^#define	CALLOC_RET(sp, p, cast, nmemb, size) {				/
  CBNAME	../common/cut.h	/^#define	CBNAME(sp, cbp, nch) {						\\$/
! CB_LMODE	../common/cut.h	/^#define	CB_LMODE	0x01		\/* Cut was in line mode. */
! CHK_INTR	../vi/v_txt.c	/^#define	CHK_INTR							\\$/
! CHLEN	../vi/vs_relative.c	/^#define	CHLEN(val) (ch = *(u_char *)p++) == '\\t' /
! CH_ABBREVIATED	../common/key.h	/^#define	CH_ABBREVIATED	0x01		\/* Character is from/
! CH_BSEARCH	../common/key.h	/^#define	CH_BSEARCH	'?'		\/* Backward search prompt/
! CH_CURSOR	../common/key.h	/^#define	CH_CURSOR	' '		\/* Cursor character. *\/$/
! CH_ENDMARK	../common/key.h	/^#define	CH_ENDMARK	'$'		\/* End of a range. *\/$/
! CH_EXPROMPT	../common/key.h	/^#define	CH_EXPROMPT	':'		\/* Ex prompt. *\/$/
! CH_FSEARCH	../common/key.h	/^#define	CH_FSEARCH	'\/'		\/* Forward search prompt/
! CH_HEX	../common/key.h	/^#define	CH_HEX		'\\030'		\/* Leading hex character/
! CH_LITERAL	../common/key.h	/^#define	CH_LITERAL	'\\026'		\/* ASCII ^V. *\/$/
! CH_MAPPED	../common/key.h	/^#define	CH_MAPPED	0x02		\/* Character is from a ma/
! CH_NO	../common/key.h	/^#define	CH_NO		'n'		\/* No. *\/$/
! CH_NOMAP	../common/key.h	/^#define	CH_NOMAP	0x04		\/* Do not map the characte/
! CH_NOT_DIGIT	../common/key.h	/^#define	CH_NOT_DIGIT	'a'		\/* A non-isdigit() char/
! CH_QUIT	../common/key.h	/^#define	CH_QUIT		'q'		\/* Quit. *\/$/
! CH_QUOTED	../common/key.h	/^#define	CH_QUOTED	0x08		\/* Character is already q/
! CH_YES	../common/key.h	/^#define	CH_YES		'y'		\/* Yes. *\/$/
! CLEAR_EX_CMD	../ex/ex.h	/^#define	CLEAR_EX_CMD(cmdp) {						\\$/
! CLEAR_EX_PARSER	../ex/ex.h	/^#define	CLEAR_EX_PARSER(cmdp)						\\$/
  CLP	../cl/cl.h	/^#define	CLP(sp)		((CL_PRIVATE *)((sp)->gp->cl_priv/
  CLR_INTERRUPT	../common/key.h	/^#define	CLR_INTERRUPT(sp)						\\$/
- CL_IN_EX	../cl/cl.h	/^#define	CL_IN_EX	0x0001	\/* Currently running ex. /
- CL_RENAME	../cl/cl.h	/^#define	CL_RENAME	0x0002	\/* X11 xterm icon\/windo/
- CL_RENAME_OK	../cl/cl.h	/^#define	CL_RENAME_OK	0x0004	\/* User wants the win/
- CL_SCR_EX_INIT	../cl/cl.h	/^#define	CL_SCR_EX_INIT	0x0008	\/* Ex screen initia/
- CL_SCR_VI_INIT	../cl/cl.h	/^#define	CL_SCR_VI_INIT	0x0010	\/* Vi screen initia/
- CL_SIGHUP	../cl/cl.h	/^#define	CL_SIGHUP	0x0020	\/* SIGHUP arrived. *\/$/
- CL_SIGINT	../cl/cl.h	/^#define	CL_SIGINT	0x0040	\/* SIGINT arrived. *\/$/
- CL_SIGTERM	../cl/cl.h	/^#define	CL_SIGTERM	0x0080	\/* SIGTERM arrived. *\//
- CL_SIGWINCH	../cl/cl.h	/^#define	CL_SIGWINCH	0x0100	\/* SIGWINCH arrived. */
- CL_STDIN_TTY	../cl/cl.h	/^#define	CL_STDIN_TTY	0x0200	\/* Talking to a termi/
- CNO	../vi/vs_refresh.c	/^#define	 CNO	sp->cno			\/* Current file column. */
  COL_OFF	../common/util.h	/^#define	COL_OFF(c, stop)	((stop) - ((c) % (stop)))/
! CSCOPE_CMD_FMT	../ex/ex_cscope.c	/^#define	CSCOPE_CMD_FMT		"cd '%s' && exec cscope -d/
! CSCOPE_DBFILE	../ex/ex_cscope.c	/^#define	CSCOPE_DBFILE		"cscope.out"$/
! CSCOPE_NLINES_FMT	../ex/ex_cscope.c	/^#define	CSCOPE_NLINES_FMT	"cscope: %d lines%1[\\n]/
! CSCOPE_PATHS	../ex/ex_cscope.c	/^#define	CSCOPE_PATHS		"cscope.tpath"$/
! CSCOPE_PROMPT	../ex/ex_cscope.c	/^#define	CSCOPE_PROMPT		">> "$/
! CSCOPE_QUERIES	../ex/ex_cscope.c	/^#define	CSCOPE_QUERIES		"sgdct efi"$/
! CSCOPE_RE_SPACE	../ex/ex_subst.c	/^#define	CSCOPE_RE_SPACE		"([ \\t]|\/\\\\*([^*]|\\/
! CS_EMP	../vi/vi.h	/^#define	CS_EMP	1			\/* Empty line. *\/$/
! CS_EOF	../vi/vi.h	/^#define	CS_EOF	2			\/* End-of-file. *\/$/
! CS_EOL	../vi/vi.h	/^#define	CS_EOL	3			\/* End-of-line. *\/$/
! CS_SOF	../vi/vi.h	/^#define	CS_SOF	4			\/* Start-of-file. *\/$/
! CUT_LINEMODE	../common/cut.h	/^#define	CUT_LINEMODE	0x01		\/* Cut in line mode. */
! CUT_NUMOPT	../common/cut.h	/^#define	CUT_NUMOPT	0x02		\/* Numeric buffer: optio/
! CUT_NUMREQ	../common/cut.h	/^#define	CUT_NUMREQ	0x04		\/* Numeric buffer: requi/
! DBG_FATAL	../common/exf.h	/^#define	DBG_FATAL	0x001	\/* If DNE, error message./
! DBG_NOCACHE	../common/exf.h	/^#define	DBG_NOCACHE	0x002	\/* Ignore the front-end/
! DEC	../vi/v_increment.c	/^#define	DEC	0$/
! DEFAULT_NOPRINT	../common/gs.h	/^#define	DEFAULT_NOPRINT	'\\1'		\/* Emergency non-p/
! DIVIDESTR	../vi/vs_msg.c	/^#define	DIVIDESTR	"+=+=+=+=+=+=+=+"$/
! DOT	../vi/vi.c	/^#define	DOT		(&VIP(sp)->sdot)$/
! DOTMOTION	../vi/vi.c	/^#define	DOTMOTION	(&VIP(sp)->sdotmotion)$/
! EC_INTERRUPT	../common/key.h	/^#define	EC_INTERRUPT	0x001		\/* Checking for inter/
! EC_MAPCOMMAND	../common/key.h	/^#define	EC_MAPCOMMAND	0x002		\/* Apply the command/
! EC_MAPINPUT	../common/key.h	/^#define	EC_MAPINPUT	0x004		\/* Apply the input map/
! EC_MAPNODIGIT	../common/key.h	/^#define	EC_MAPNODIGIT	0x008		\/* Return to a digit/
! EC_QUOTED	../common/key.h	/^#define	EC_QUOTED	0x010		\/* Try to quote next cha/
! EC_RAW	../common/key.h	/^#define	EC_RAW		0x020		\/* Any next character. XXX/
! EC_TIMEOUT	../common/key.h	/^#define	EC_TIMEOUT	0x040		\/* Timeout to next char/
! ENDMESSAGE	../tcl_api/tcl.c	/^#define	ENDMESSAGE							\\$/
! ENTIRE_LINE	../common/cut.c	/^#define	ENTIRE_LINE	0$/
! EQUAL	../ex/ex_tag.c	/^#define	EQUAL		0$/
! EXCMD_RUNNING	../common/gs.h	/^#define	EXCMD_RUNNING(gp)	((gp)->ecq.lh_first->cle/
  EXP	../ex/ex.h	/^#define	EXP(sp)	((EX_PRIVATE *)((sp)->ex_private))/
! EXP_CSCINIT	../ex/ex.h	/^#define	EXP_CSCINIT	0x01		\/* Cscope initialized. /
! E_ABSMARK	../ex/ex.h	/^#define	E_ABSMARK	0x00040000	\/* Set the absolute /
! E_ADDR1	../ex/ex.h	/^#define	E_ADDR1		0x00000001	\/* One address. *\/$/
! E_ADDR2	../ex/ex.h	/^#define	E_ADDR2		0x00000002	\/* Two addresses. *\//
! E_ADDR2_ALL	../ex/ex.h	/^#define	E_ADDR2_ALL	0x00000004	\/* Zero\/two addre/
! E_ADDR2_NONE	../ex/ex.h	/^#define	E_ADDR2_NONE	0x00000008	\/* Zero\/two addr/
! E_ADDR_DEF	../ex/ex.h	/^#define	E_ADDR_DEF	0x00080000	\/* Default addresse/
! E_ADDR_ZERO	../ex/ex.h	/^#define	E_ADDR_ZERO	0x00000010	\/* 0 is a legal ad/
! E_ADDR_ZERODEF	../ex/ex.h	/^#define	E_ADDR_ZERODEF	0x00000020	\/* 0 is default/
! E_AUTOPRINT	../ex/ex.h	/^#define	E_AUTOPRINT	0x00000040	\/* Command always /
! E_BLIGNORE	../ex/ex.h	/^#define	E_BLIGNORE	0x00000800	\/* Ignore blank lin/
! E_CLRFLAG	../ex/ex.h	/^#define	E_CLRFLAG	0x00000080	\/* Clear the print (/
! E_C_BUFFER	../ex/ex.h	/^#define	E_C_BUFFER	0x00001		\/* Buffer name specif/
! E_C_CARAT	../ex/ex.h	/^#define	E_C_CARAT	0x00002		\/*  ^ flag. *\/$/
! E_C_COUNT	../ex/ex.h	/^#define	E_C_COUNT	0x00004		\/* Count specified. */
! E_C_COUNT_NEG	../ex/ex.h	/^#define	E_C_COUNT_NEG	0x00008		\/* Count was signe/
! E_C_COUNT_POS	../ex/ex.h	/^#define	E_C_COUNT_POS	0x00010		\/* Count was signe/
! E_C_DASH	../ex/ex.h	/^#define	E_C_DASH	0x00020		\/*  - flag. *\/$/
! E_C_DOT	../ex/ex.h	/^#define	E_C_DOT		0x00040		\/*  . flag. *\/$/
! E_C_EQUAL	../ex/ex.h	/^#define	E_C_EQUAL	0x00080		\/*  = flag. *\/$/
! E_C_FORCE	../ex/ex.h	/^#define	E_C_FORCE	0x00100		\/*  ! flag. *\/$/
! E_C_HASH	../ex/ex.h	/^#define	E_C_HASH	0x00200		\/*  # flag. *\/$/
! E_C_LIST	../ex/ex.h	/^#define	E_C_LIST	0x00400		\/*  l flag. *\/$/
! E_C_PLUS	../ex/ex.h	/^#define	E_C_PLUS	0x00800		\/*  + flag. *\/$/
! E_C_PRINT	../ex/ex.h	/^#define	E_C_PRINT	0x01000		\/*  p flag. *\/$/
! E_DELTA	../ex/ex.h	/^#define	E_DELTA		0x00100000	\/* Search address wit/
! E_MODIFY	../ex/ex.h	/^#define	E_MODIFY	0x00200000	\/* File name expansio/
! E_MOVETOEND	../ex/ex.h	/^#define	E_MOVETOEND	0x00400000	\/* Move to the end/
! E_NAMEDISCARD	../ex/ex.h	/^#define	E_NAMEDISCARD	0x00001000	\/* Free\/discard/
! E_NEWLINE	../ex/ex.h	/^#define	E_NEWLINE	0x00800000	\/* Found ending <new/
! E_NEWSCREEN	../ex/ex.h	/^#define	E_NEWSCREEN	0x00000100	\/* Create a new sc/
! E_NOAUTO	../ex/ex.h	/^#define	E_NOAUTO	0x00002000	\/* Don't do autoprint/
! E_NOPRDEF	../ex/ex.h	/^#define	E_NOPRDEF	0x00004000	\/* Don't print as de/
! E_NRSEP	../ex/ex.h	/^#define	E_NRSEP		0x00008000	\/* Need to line adjus/
! E_OPTNUM	../ex/ex.h	/^#define	E_OPTNUM	0x00010000	\/* Number edit option/
! E_PRESERVE	../ex/ex.h	/^#define	E_PRESERVE	0x0003f800	\/* Bits to preserve/
! E_SEARCH_WMSG	../ex/ex.h	/^#define	E_SEARCH_WMSG	0x01000000	\/* Display searc/
! E_SECURE	../ex/ex.h	/^#define	E_SECURE	0x00000200	\/* Permission denied /
! E_USELASTCMD	../ex/ex.h	/^#define	E_USELASTCMD	0x02000000	\/* Use the last c/
! E_VIONLY	../ex/ex.h	/^#define	E_VIONLY	0x00000400	\/* Meaningful only in/
! E_VISEARCH	../ex/ex.h	/^#define	E_VISEARCH	0x04000000	\/* It's really a vi/
! E_VLITONLY	../ex/ex.h	/^#define	E_VLITONLY	0x00020000	\/* Use ^V quoting o/
! FALSE	../cl/cl.h	/^#define	FALSE	0$/
! FINDHELP	../ex/ex_cscope.c	/^#define	FINDHELP "\\$/
! FLUSH	../vi/vs_line.c	/^#define	FLUSH {								\\$/
  FL_CLR	../common/util.h	/^#define	FL_CLR(l, f)	((l) &= ~(f))$/
! FL_INIT	../common/util.h	/^#define	FL_INIT(l, f)	(l) = (f)		\/* Specific flag/
  FL_ISSET	../common/util.h	/^#define	FL_ISSET(l, f)	((l) & (f))$/
  FL_SET	../common/util.h	/^#define	FL_SET(l, f)	((l) |= (f))$/
- FMTCOLS	../common/recover.c	/^#define	FMTCOLS	60$/
  FREE_SPACE	../common/mem.h	/^#define	FREE_SPACE(sp, bp, blen) {					\\$/
! FR_CURSORSET	../common/gs.h	/^#define	FR_CURSORSET	0x0001		\/* If lno\/cno value/
! FR_DONTDELETE	../common/gs.h	/^#define	FR_DONTDELETE	0x0002		\/* Don't delete the/
! FR_EXNAMED	../common/gs.h	/^#define	FR_EXNAMED	0x0004		\/* Read\/write renamed/
! FR_NAMECHANGE	../common/gs.h	/^#define	FR_NAMECHANGE	0x0008		\/* If the name chan/
! FR_NEWFILE	../common/gs.h	/^#define	FR_NEWFILE	0x0010		\/* File doesn't really/
! FR_RECOVER	../common/gs.h	/^#define	FR_RECOVER	0x0020		\/* File is being recov/
! FR_TMPEXIT	../common/gs.h	/^#define	FR_TMPEXIT	0x0040		\/* Modified temporary /
! FR_TMPFILE	../common/gs.h	/^#define	FR_TMPFILE	0x0080		\/* If file has no name/
! FR_UNLOCKED	../common/gs.h	/^#define	FR_UNLOCKED	0x0100		\/* File couldn't be l/
! FS_ALL	../common/exf.h	/^#define	FS_ALL		0x001	\/* Write the entire file. */
! FS_APPEND	../common/exf.h	/^#define	FS_APPEND	0x002	\/* Append to the file. */
! FS_FORCE	../common/exf.h	/^#define	FS_FORCE	0x004	\/* Force is set. *\/$/
! FS_OPENERR	../common/exf.h	/^#define	FS_OPENERR	0x008	\/* Open failed, try it a/
! FS_POSSIBLE	../common/exf.h	/^#define	FS_POSSIBLE	0x010	\/* Force could have bee/
! FS_SETALT	../common/exf.h	/^#define	FS_SETALT	0x020	\/* Set alternate file nam/
  F_CLR	../common/util.h	/^#define	F_CLR(p, f)	FL_CLR((p)->flags, f)$/
! F_DEVSET	../common/exf.h	/^#define	F_DEVSET	0x001		\/* mdev\/minode fields in/
! F_FIRSTMODIFY	../common/exf.h	/^#define	F_FIRSTMODIFY	0x002		\/* File not yet modi/
! F_INIT	../common/util.h	/^#define	F_INIT(p, f)	FL_INIT((p)->flags, f)	\/* St/
  F_ISSET	../common/util.h	/^#define	F_ISSET(p, f)	FL_ISSET((p)->flags, f)$/
- F_MODIFIED	../common/exf.h	/^#define	F_MODIFIED	0x004		\/* File is currently di/
- F_MULTILOCK	../common/exf.h	/^#define	F_MULTILOCK	0x008		\/* Multiple processes /
- F_NOLOG	../common/exf.h	/^#define	F_NOLOG		0x010		\/* Logging turned off. */
- F_RCV_NORM	../common/exf.h	/^#define	F_RCV_NORM	0x020		\/* Don't delete recover/
- F_RCV_ON	../common/exf.h	/^#define	F_RCV_ON	0x040		\/* Recovery is possible. /
  F_SET	../common/util.h	/^#define	F_SET(p, f)	FL_SET((p)->flags, f)$/
- F_UNDO	../common/exf.h	/^#define	F_UNDO		0x080		\/* No change since last un/
  GCLP	../cl/cl.h	/^#define	GCLP(gp)	((CL_PRIVATE *)gp->cl_private)$/
! GET_SPACE_GOTO	../common/mem.h	/^#define	GET_SPACE_GOTO(sp, bp, blen, nlen) {				\\/
  GET_SPACE_RET	../common/mem.h	/^#define	GET_SPACE_RET(sp, bp, blen, nlen) {				\\$/
! GLOBAL_CLP	../cl/cl_main.c	/^#define	GLOBAL_CLP \\$/
! GLOBAL_TKP	../tk/tk_main.c	/^#define	GLOBAL_TKP \\$/
! GO_COLUMNS	../common/gs.h	/^#define	GO_COLUMNS	0		\/* Global options: columns./
! GO_LINES	../common/gs.h	/^#define	GO_LINES	1		\/* Global options: lines. *\//
! GO_SECURE	../common/gs.h	/^#define	GO_SECURE	2		\/* Global options: secure. */
! GO_TERM	../common/gs.h	/^#define	GO_TERM		3		\/* Global options: terminal t/
! GREATER	../ex/ex_tag.c	/^#define	GREATER		1$/
  GTKP	../tk/tki.h	/^#define	GTKP(gp)	((TK_PRIVATE *)gp->tk_private)$/
! G_ABBREV	../common/gs.h	/^#define	G_ABBREV	0x0001		\/* If have abbreviations/
! G_BELLSCHED	../common/gs.h	/^#define	G_BELLSCHED	0x0002		\/* Bell scheduled. */
! G_INTERRUPTED	../common/gs.h	/^#define	G_INTERRUPTED	0x0004		\/* Interrupted. *\//
! G_RECOVER_SET	../common/gs.h	/^#define	G_RECOVER_SET	0x0008		\/* Recover system i/
! G_SCRIPTED	../common/gs.h	/^#define	G_SCRIPTED	0x0010		\/* Ex script session. /
! G_SCRWIN	../common/gs.h	/^#define	G_SCRWIN	0x0020		\/* Scripting windows run/
! G_SNAPSHOT	../common/gs.h	/^#define	G_SNAPSHOT	0x0040		\/* Always snapshot fil/
! G_SRESTART	../common/gs.h	/^#define	G_SRESTART	0x0080		\/* Screen restarted. */
! G_TMP_INUSE	../common/gs.h	/^#define	G_TMP_INUSE	0x0100		\/* Temporary buffer i/
! HALFSCREEN	../vi/vi.h	/^#define	HALFSCREEN(sp)				\/* Half text screen. */
  HALFTEXT	../vi/vi.h	/^#define	HALFTEXT(sp)				\/* Half text. *\/	\\$/
  HANDLE_WEIRDNESS	../vi/vs_smap.c	/^#define	HANDLE_WEIRDNESS(cnt) {						\\$/
! HEXC	../vi/v_increment.c	/^#define	HEXC	2$/
! HEXL	../vi/v_increment.c	/^#define	HEXL	3$/
! HMAP	../vi/vi.h	/^#define	HMAP		_HMAP(sp)$/
! INCREMENT	../ex/ex_argv.c	/^#define	INCREMENT	20$/
! INDX_HUP	../cl/cl.h	/^#define	INDX_HUP	0$/
! INDX_INT	../cl/cl.h	/^#define	INDX_INT	1$/
! INDX_MAX	../cl/cl.h	/^#define	INDX_MAX	4	\/* Original signal information/
! INDX_TERM	../cl/cl.h	/^#define	INDX_TERM	2$/
! INDX_WINCH	../cl/cl.h	/^#define	INDX_WINCH	3$/
! INITMESSAGE	../tcl_api/tcl.c	/^#define	INITMESSAGE							\\$/
  INTERRUPTED	../common/key.h	/^#define	INTERRUPTED(sp)							\\$/
! INTERRUPT_CHECK	../common/key.h	/^#define	INTERRUPT_CHECK	100$/
! INTEXT_CHECK	../vi/v_paragraph.c	/^#define	INTEXT_CHECK {							\\$/
! ISCMD	../vi/vi.h	/^#define	ISCMD(p, key)	((p) == &vikeys[key])$/
! ISMOTION	../vi/vi.h	/^#define	ISMOTION(vp)	(vp->rkp != NULL && F_ISSET(v/
  IS_ESCAPE	../ex/ex.h	/^#define	IS_ESCAPE(sp, cmdp, ch)						\\$/
  IS_ONELINE	../vi/vi.h	/^#define	IS_ONELINE(sp)	((sp)->rows == 1)$/
- IS_RESTART	../vi/v_txt.c	/^#define	IS_RESTART	0x01	\/* Reset the incremental /
- IS_RUNNING	../vi/v_txt.c	/^#define	IS_RUNNING	0x02	\/* Incremental search tur/
  IS_SMALL	../vi/vi.h	/^#define	IS_SMALL(sp)	((sp)->t_minrows != (sp)->t_m/
  IS_SPLIT	../vi/vi.h	/^#define	IS_SPLIT(sp)							\\$/
  KEY	../vi/vi.c	/^#define	KEY(key, ec_flags) {						\\$/
  KEYS_WAITING	../common/key.h	/^#define	KEYS_WAITING(sp)	((sp)->gp->i_cnt != 0)$/
- KEY_LEN	../common/gs.h	/^#define	KEY_LEN(sp, ch)							\\$/
- KEY_NAME	../common/gs.h	/^#define	KEY_NAME(sp, ch)						\\$/
- KEY_VAL	../common/gs.h	/^#define	KEY_VAL(sp, ch)							\\$/
  LASTLINE	../vi/vi.h	/^#define LASTLINE(sp) \\$/
! LESS	../ex/ex_tag.c	/^#define	LESS		(-1)$/
  LF_CLR	../common/util.h	/^#define	LF_CLR(f)	FL_CLR(flags, f)$/
! LF_INIT	../common/util.h	/^#define	LF_INIT(f)	FL_INIT(flags, f)	\/* Local var/
  LF_ISSET	../common/util.h	/^#define	LF_ISSET(f)	FL_ISSET(flags, f)$/
  LF_SET	../common/util.h	/^#define	LF_SET(f)	FL_SET(flags, f)$/
! LINE_RESOLVE	../vi/v_txt.c	/^#define	LINE_RESOLVE {							\\$/
! LNO	../vi/vs_refresh.c	/^#define	 LNO	sp->lno			\/* Current file line. *\/$/
! LOG_CORRECT	../vi/v_itxt.c	/^#define	LOG_CORRECT {							\\$/
! LOG_CURSOR_END	../common/log.h	/^#define	LOG_CURSOR_END		2$/
! LOG_CURSOR_INIT	../common/log.h	/^#define	LOG_CURSOR_INIT		1$/
! LOG_ERR	../common/log.c	/^#define	LOG_ERR {							\\$/
! LOG_LINE_APPEND	../common/log.h	/^#define	LOG_LINE_APPEND		3$/
! LOG_LINE_DELETE	../common/log.h	/^#define	LOG_LINE_DELETE		4$/
! LOG_LINE_INSERT	../common/log.h	/^#define	LOG_LINE_INSERT		5$/
! LOG_LINE_RESET_B	../common/log.h	/^#define	LOG_LINE_RESET_B	7$/
! LOG_LINE_RESET_F	../common/log.h	/^#define	LOG_LINE_RESET_F	6$/
! LOG_MARK	../common/log.h	/^#define	LOG_MARK		8$/
! LOG_NOTYPE	../common/log.h	/^#define	LOG_NOTYPE		0$/
! L_ADDED	../common/screen.h	/^#define	L_ADDED		0		\/* Added lines. *\/$/
! L_CHANGED	../common/screen.h	/^#define	L_CHANGED	1		\/* Changed lines. *\/$/
! L_DELETED	../common/screen.h	/^#define	L_DELETED	2		\/* Deleted lines. *\/$/
! L_JOINED	../common/screen.h	/^#define	L_JOINED	3		\/* Joined lines. *\/$/
! L_MOVED	../common/screen.h	/^#define	L_MOVED		4		\/* Moved lines. *\/$/
! L_NAME	../ex/ex_tag.c	/^#define	L_NAME	30		\/* Name. *\/$/
! L_SHIFT	../common/screen.h	/^#define	L_SHIFT		5		\/* Shift lines. *\/$/
! L_SLOP	../ex/ex_tag.c	/^#define	L_SLOP	 4		\/* Leading number plus trailin/
! L_SPACE	../ex/ex_tag.c	/^#define	L_SPACE	 5		\/* Spaces after name, before /
! L_TAG	../ex/ex_tag.c	/^#define	L_TAG	20		\/* Tag. *\/$/
! L_YANKED	../common/screen.h	/^#define	L_YANKED	6		\/* Yanked lines. *\/$/
  MALLOC	../common/mem.h	/^#define	MALLOC(sp, p, cast, size) {					\\$/
  MALLOC_GOTO	../common/mem.h	/^#define	MALLOC_GOTO(sp, p, cast, size) {				\\$/
  MALLOC_NOMSG	../common/mem.h	/^#define	MALLOC_NOMSG(sp, p, cast, size) {				\\$/
  MALLOC_RET	../common/mem.h	/^#define	MALLOC_RET(sp, p, cast, size) {					\\$/
  MAPPED_KEYS_WAITING	../common/key.h	/^#define	MAPPED_KEYS_WAITING(sp)						\\$/
! MAP_FILE	../ex/ex_tag.c	/^#define	MAP_FILE	0$/
! MARK_DELETED	../common/mark.h	/^#define	MARK_DELETED	0x01		\/* Mark was deleted. */
! MARK_USERSET	../common/mark.h	/^#define	MARK_USERSET	0x02		\/* User set this mark./
! MAXCMDNAMELEN	../ex/ex.h	/^#define	MAXCMDNAMELEN	12		\/* Longest command name/
! MAXHOSTNAMELEN	../common/recover.c	/^#define	MAXHOSTNAMELEN	1024$/
! MAXIMUM_SCREEN_COLS	../common/options_f.c	/^#define	MAXIMUM_SCREEN_COLS	500$/
! MAXIMUM_SCREEN_ROWS	../common/options_f.c	/^#define	MAXIMUM_SCREEN_ROWS	500$/
! MAXNUM	../common/msg.c	/^#define	MAXNUM		25$/
! MAXVIKEY	../vi/vi.h	/^#define	MAXVIKEY	126		\/* List of vi commands. *\//
! MAX_ABBREVIATION_EXPANSION	../vi/v_txt.c	/^#define	MAX_ABBREVIATION_EXPANSION	256$/
! MAX_BIT_SEQ	../common/gs.h	/^#define	MAX_BIT_SEQ	128		\/* Max + 1 fast check ch/
! MAX_CHARACTER_COLUMNS	../common/key.h	/^#define	MAX_CHARACTER_COLUMNS	4$/
! MAX_CHAR_T	../common/key.h	/^#define	MAX_CHAR_T	0xff$/
! MAX_FAST_KEY	../common/gs.h	/^#define	MAX_FAST_KEY	254		\/* Max fast check chara/
! MEGABYTE	../ex/ex_source.c	/^#define	MEGABYTE	1048576$/
  MEMMOVE	../common/mem.h	/^#define	MEMMOVE(p, t, len)	memmove(p, t, (len) * s/
  MEMSET	../common/mem.h	/^#define	MEMSET(p, value, len)	memset(p, value, (le/
! MINIMUM_SCREEN_COLS	../common/screen.h	/^#define	MINIMUM_SCREEN_COLS	20$/
! MINIMUM_SCREEN_ROWS	../common/screen.h	/^#define	MINIMUM_SCREEN_ROWS	 1$/
! MINREAD	../ex/ex_script.c	/^#define	MINREAD	1024$/
! MODESIZE	../vi/vs_refresh.c	/^#define	MODESIZE	9$/
! MSTAT_SHOWLAST	../common/msg.h	/^#define	MSTAT_SHOWLAST	0x01	\/* Show the line numb/
! MSTAT_TRUNCATE	../common/msg.h	/^#define	MSTAT_TRUNCATE	0x02	\/* Truncate the file /
  Mcl_main	../cl/cl_main.c	/^main(argc, argv)$/
  Mtk_main	../tk/tk_main.c	/^main(argc, argv)$/
  NADD_SLONG	../common/util.h	/^#define	NADD_SLONG(sp, v1, v2)						\\$/
--- 1,128 ----
! ABSMARK1	../common/mark.h	41
! ABSMARK2	../common/mark.h	42
! ADD_SPACE_GOTO	../common/mem.h	/^#define	ADD_SPACE_GOTO(sp, bp, blen, nlen) {				\\$/
  ADD_SPACE_RET	../common/mem.h	/^#define	ADD_SPACE_RET(sp, bp, blen, nlen) {				\\$/
  BINC_GOTO	../common/mem.h	/^#define	BINC_GOTO(sp, lp, llen, nlen) {					\\$/
  BINC_RET	../common/mem.h	/^#define	BINC_RET(sp, lp, llen, nlen) {					\\$/
  BUILD	../ex/ex_subst.c	/^#define	BUILD(sp, l, len) {						\\$/
  CALLOC	../common/mem.h	/^#define	CALLOC(sp, p, cast, nmemb, size) {				\\$/
  CALLOC_GOTO	../common/mem.h	/^#define	CALLOC_GOTO(sp, p, cast, nmemb, size) {			/
  CALLOC_NOMSG	../common/mem.h	/^#define	CALLOC_NOMSG(sp, p, cast, nmemb, size) {		/
  CALLOC_RET	../common/mem.h	/^#define	CALLOC_RET(sp, p, cast, nmemb, size) {				/
  CBNAME	../common/cut.h	/^#define	CBNAME(sp, cbp, nch) {						\\$/
! CH_BSEARCH	../common/key.h	154
! CH_CURSOR	../common/key.h	155
! CH_ENDMARK	../common/key.h	156
! CH_EXPROMPT	../common/key.h	157
! CH_FSEARCH	../common/key.h	158
! CH_HEX	../common/key.h	159
! CH_LITERAL	../common/key.h	160
! CH_NO	../common/key.h	161
! CH_NOT_DIGIT	../common/key.h	162
! CH_QUIT	../common/key.h	163
! CH_YES	../common/key.h	164
  CLP	../cl/cl.h	/^#define	CLP(sp)		((CL_PRIVATE *)((sp)->gp->cl_priv/
  CLR_INTERRUPT	../common/key.h	/^#define	CLR_INTERRUPT(sp)						\\$/
  COL_OFF	../common/util.h	/^#define	COL_OFF(c, stop)	((stop) - ((c) % (stop)))/
! CSCOPE_DBFILE	../ex/ex_cscope.c	39
! CSCOPE_PATHS	../ex/ex_cscope.c	40
! CS_INVALID	../common/multibyte.h	209
! CS_NONE	../common/multibyte.h	208
! CS_RAW	../common/multibyte.h	/^#define CS_RAW(x)	(CS_RAW0 <= (x) && (x) <= CS_RAW/
! CUT_LINEMODE	../common/cut.h	75
! CUT_NUMOPT	../common/cut.h	76
! CUT_NUMREQ	../common/cut.h	77
! DBG_FATAL	../common/exf.h	67
! DBG_NOCACHE	../common/exf.h	68
! DOT	../vi/vi.c	55
! DOTMOTION	../vi/vi.c	56
! EC_INTERRUPT	../common/key.h	183
! EC_MAPCOMMAND	../common/key.h	184
! EC_MAPINPUT	../common/key.h	185
! EC_MAPNODIGIT	../common/key.h	186
! EC_QUOTED	../common/key.h	187
! EC_RAW	../common/key.h	188
! EC_TIMEOUT	../common/key.h	189
! ENDMESSAGE	../tcl_api/tcl.c	49
! EQUAL	../ex/ex_tag.c	1246
  EXP	../ex/ex.h	/^#define	EXP(sp)	((EX_PRIVATE *)((sp)->ex_private))/
! FALSE	../cl/cl.h	81
! FINDHELP	../ex/ex_cscope.c	54
  FL_CLR	../common/util.h	/^#define	FL_CLR(l, f)	((l) &= ~(f))$/
! FL_INIT	../common/util.h	/^#define	FL_INIT(l, f)	(l) = (f)		\/* Specific flags/
  FL_ISSET	../common/util.h	/^#define	FL_ISSET(l, f)	((l) & (f))$/
  FL_SET	../common/util.h	/^#define	FL_SET(l, f)	((l) |= (f))$/
  FREE_SPACE	../common/mem.h	/^#define	FREE_SPACE(sp, bp, blen) {					\\$/
! FS_ALL	../common/exf.h	71
! FS_APPEND	../common/exf.h	72
! FS_FORCE	../common/exf.h	73
! FS_OPENERR	../common/exf.h	74
! FS_POSSIBLE	../common/exf.h	75
! FS_SETALT	../common/exf.h	76
  F_CLR	../common/util.h	/^#define	F_CLR(p, f)	FL_CLR((p)->flags, f)$/
! F_INIT	../common/util.h	/^#define	F_INIT(p, f)	FL_INIT((p)->flags, f)	\/* Str/
  F_ISSET	../common/util.h	/^#define	F_ISSET(p, f)	FL_ISSET((p)->flags, f)$/
  F_SET	../common/util.h	/^#define	F_SET(p, f)	FL_SET((p)->flags, f)$/
  GCLP	../cl/cl.h	/^#define	GCLP(gp)	((CL_PRIVATE *)gp->cl_private)$/
! GET_SPACE_GOTO	../common/mem.h	/^#define	GET_SPACE_GOTO(sp, bp, blen, nlen) {				\\$/
  GET_SPACE_RET	../common/mem.h	/^#define	GET_SPACE_RET(sp, bp, blen, nlen) {				\\$/
! GLOBAL_CLP	../cl/cl_main.c	292
! GLOBAL_TKP	../tk/tk_main.c	315
! GREATER	../ex/ex_tag.c	1247
  GTKP	../tk/tki.h	/^#define	GTKP(gp)	((TK_PRIVATE *)gp->tk_private)$/
! HALFSCREEN	../vi/vi.h	/^#define	HALFSCREEN(sp)				\/* Half text screen. *\/	/
  HALFTEXT	../vi/vi.h	/^#define	HALFTEXT(sp)				\/* Half text. *\/	\\$/
  HANDLE_WEIRDNESS	../vi/vs_smap.c	/^#define	HANDLE_WEIRDNESS(cnt) {						\\$/
! INITMESSAGE	../tcl_api/tcl.c	46
  INTERRUPTED	../common/key.h	/^#define	INTERRUPTED(sp)							\\$/
! INTERRUPT_CHECK	../common/key.h	174
! INTEXT_CHECK	../vi/v_paragraph.c	30
  IS_ESCAPE	../ex/ex.h	/^#define	IS_ESCAPE(sp, cmdp, ch)						\\$/
  IS_ONELINE	../vi/vi.h	/^#define	IS_ONELINE(sp)	((sp)->rows == 1)$/
  IS_SMALL	../vi/vi.h	/^#define	IS_SMALL(sp)	((sp)->t_minrows != (sp)->t_m/
  IS_SPLIT	../vi/vi.h	/^#define	IS_SPLIT(sp)							\\$/
  KEY	../vi/vi.c	/^#define	KEY(key, ec_flags) {						\\$/
+ KEY0	../vi/vi.c	/^#define	KEY0(key, ec_flags) {						\\$/
  KEYS_WAITING	../common/key.h	/^#define	KEYS_WAITING(sp)	((sp)->gp->i_cnt != 0)$/
  LASTLINE	../vi/vi.h	/^#define LASTLINE(sp) \\$/
! LESS	../ex/ex_tag.c	1248
  LF_CLR	../common/util.h	/^#define	LF_CLR(f)	FL_CLR(flags, f)$/
! LF_INIT	../common/util.h	/^#define	LF_INIT(f)	FL_INIT(flags, f)	\/* Local vari/
  LF_ISSET	../common/util.h	/^#define	LF_ISSET(f)	FL_ISSET(flags, f)$/
  LF_SET	../common/util.h	/^#define	LF_SET(f)	FL_SET(flags, f)$/
! LOG_CORRECT	../vi/v_itxt.c	55
! LOG_CURSOR_END	../common/log.h	14
! LOG_CURSOR_INIT	../common/log.h	13
! LOG_ERR	../common/log.c	72
! LOG_LINE_APPEND	../common/log.h	15
! LOG_LINE_DELETE	../common/log.h	16
! LOG_LINE_INSERT	../common/log.h	17
! LOG_LINE_RESET_B	../common/log.h	19
! LOG_LINE_RESET_F	../common/log.h	18
! LOG_MARK	../common/log.h	20
! LOG_NOTYPE	../common/log.h	12
  MALLOC	../common/mem.h	/^#define	MALLOC(sp, p, cast, size) {					\\$/
  MALLOC_GOTO	../common/mem.h	/^#define	MALLOC_GOTO(sp, p, cast, size) {				\\$/
  MALLOC_NOMSG	../common/mem.h	/^#define	MALLOC_NOMSG(sp, p, cast, size) {				\\$/
  MALLOC_RET	../common/mem.h	/^#define	MALLOC_RET(sp, p, cast, size) {					\\$/
  MAPPED_KEYS_WAITING	../common/key.h	/^#define	MAPPED_KEYS_WAITING(sp)						\\$/
! MAXCMDNAMELEN	../ex/ex.h	37
! MAXVIKEY	../vi/vi.h	151
! MAX_CHARACTER_COLUMNS	../common/key.h	29
! MAX_CHAR_T	../common/key.h	26
! MAX_MULTI_BLEN	../common/multibyte.h	213
! MAX_MULTI_LEN	../common/multibyte.h	214
! MB_JOIN	../common/multibyte.h	125
! MB_MULTIBYTE	../common/multibyte.h	122
! MB_RAW	../common/multibyte.h	124
! MB_SKIP	../common/multibyte.h	123
  MEMMOVE	../common/mem.h	/^#define	MEMMOVE(p, t, len)	memmove(p, t, (len) * s/
  MEMSET	../common/mem.h	/^#define	MEMSET(p, value, len)	memset(p, value, (le/
! MINIMUM_SCREEN_COLS	../common/screen.h	25
! MINIMUM_SCREEN_ROWS	../common/screen.h	24
! MSTAT_SHOWLAST	../common/msg.h	64
! MSTAT_TRUNCATE	../common/msg.h	65
! MULTIBYTE_VERSION	../ex/mversion.h	1
  Mcl_main	../cl/cl_main.c	/^main(argc, argv)$/
  Mtk_main	../tk/tk_main.c	/^main(argc, argv)$/
  NADD_SLONG	../common/util.h	/^#define	NADD_SLONG(sp, v1, v2)						\\$/
***************
*** 282,289 ****
  NIL	../perl_api/perlsfio.c	/^#define NIL(type)       ((type)0)$/
  NNFITS	../common/util.h	/^#define	NNFITS(min, cur, add)						\\$/
  NPFITS	../common/util.h	/^#define	NPFITS(max, cur, add)						\\$/
- OCNO	../vi/vs_refresh.c	/^#define	OCNO	vip->ocno		\/* Remembered file column/
- OCTAL	../vi/v_increment.c	/^#define	OCTAL	4$/
  OG_CLR	../common/options.h	/^#define	OG_CLR(gp, o)		((gp)->opts[(o)].o_cur.val)/
  OG_D_STR	../common/options.h	/^#define	OG_D_STR(gp, o)		((gp)->opts[(o)].o_def.st/
  OG_D_VAL	../common/options.h	/^#define	OG_D_VAL(gp, o)		((gp)->opts[(o)].o_def.va/
--- 133,138 ----
